//---------------------------------------------------------------------------
//
// Name:        PSWBTMFrm.h
// Author:      Pradu Kannan
// Created:     6/11/2006 10:00:30 PM
// Description: 
//
//---------------------------------------------------------------------------

#ifndef __PSWBTMFRM_h__
#define __PSWBTMFRM_h__

#define VERSION_STRING "Version 2.0"
#include "Tournament.h"
#include "UpdateInfoEvt.h"

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include <wx/menu.h>
#include <wx/textctrl.h>
#include <wx/stattext.h>
#include <wx/tglbtn.h>
#include <wx/button.h>
#include <wx/listctrl.h>
#include <wx/listbox.h>
#include <wx/splitter.h>
#include <wx/panel.h>
#include <wx/notebook.h>
#include <wx/sizer.h>
////Header Include End

////Dialog Style Start
#undef PSWBTMFrm_STYLE
#define PSWBTMFrm_STYLE wxCAPTION | wxRESIZE_BORDER | wxSYSTEM_MENU | wxMINIMIZE_BOX | wxMAXIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class PSWBTMFrm : public wxFrame
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		PSWBTMFrm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("PSWBTM"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = PSWBTMFrm_STYLE);
		virtual ~PSWBTMFrm();
		
	public:
		//Do not add custom control declarations
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxMenuBar *Menu;
		wxTextCtrl *Details;
		wxBoxSizer *WxBoxSizer9;
		wxPanel *DetailsPage;
		wxButton *Reset;
		wxButton *Update;
		wxBoxSizer *WxBoxSizer8;
		wxTextCtrl *Parameters;
		wxStaticText *WxStaticText3;
		wxBoxSizer *WxBoxSizer7;
		wxButton *Browse;
		wxTextCtrl *Exe;
		wxStaticText *WxStaticText2;
		wxBoxSizer *WxBoxSizer6;
		wxTextCtrl *Name;
		wxStaticText *WxStaticText1;
		wxBoxSizer *WxBoxSizer5;
		wxBoxSizer *WxBoxSizer4;
		wxListBox *EngineUpdates;
		wxStaticBoxSizer *WxStaticBoxSizer2;
		wxToggleButton *PER;
		wxButton *Abort;
		wxButton *KillPause;
		wxButton *PR;
		wxStaticBoxSizer *WxStaticBoxSizer1;
		wxBoxSizer *WxBoxSizer3;
		wxPanel *ControlsPage;
		wxListCtrl *Standings;
		wxBoxSizer *WxBoxSizer10;
		wxPanel *StandingsPage;
		wxListCtrl *Pairings;
		wxListBox *Rounds;
		wxSplitterWindow *WxSplitterWindow1;
		wxBoxSizer *WxBoxSizer2;
		wxPanel *ParingsPage;
		wxNotebook *Notebook;
		wxBoxSizer *WxBoxSizer1;
		////GUI Control Declaration End
		Tournament t;
		
	public:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_MNU_FILE_1001 = 1001,
			ID_MNU_FILE_EXIT_1002 = 1002,
			ID_MNU_TOOLS_1003 = 1003,
			ID_MNU__ENGINEMANAGER_1004 = 1004,
			ID_MNU__TOURNAMENTMANAGER_CTRL_T_1007 = 1007,
			ID_MNU__CONFIGURATION_F2_1008 = 1008,
			ID_MNU__SPLITPAIRINGWINDOWS_CTRL_S_1063 = 1063,
			ID_MNU_HELP_1009 = 1009,
			ID_MNU__ABOUT_1010 = 1010,
			
			ID_DETAILS = 1062,
			ID_DETAILSPAGE = 1024,
			ID_RESET = 1058,
			ID_UPDATE = 1057,
			ID_PARAMETERS = 1054,
			ID_WXSTATICTEXT3 = 1052,
			ID_BROWSE = 1050,
			ID_EXE = 1049,
			ID_WXSTATICTEXT2 = 1048,
			ID_NAME = 1046,
			ID_WXSTATICTEXT1 = 1045,
			ID_ENGINEUPDATES = 1042,
			ID_PER = 1064,
			ID_ABORT = 1037,
			ID_KILLPAUSE = 1036,
			ID_PR = 1035,
			ID_CONTROLSPAGE = 1023,
			ID_STANDINGS = 1069,
			ID_STANDINGSPAGE = 1065,
			ID_PAIRINGS = 1030,
			ID_ROUNDS = 1029,
			ID_WXSPLITTERWINDOW1 = 1028,
			ID_PARINGSPAGE = 1022,
			ID_NOTEBOOK = 1017,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	public:
		void PSWBTMFrmClose(wxCloseEvent& event);
		void CreateGUIControls(void);
	void Mnufileexit1002Click(wxCommandEvent& event);
	void Mnuabout1010Click(wxCommandEvent& event);
	void Mnuenginemanager1004Click(wxCommandEvent& event);
	void Mnuconfigurationf21008Click(wxCommandEvent& event);
	void Mnutournamentmanagerctrlt1007Click(wxCommandEvent& event);
		void BrowseClick(wxCommandEvent& event);
	void Mnusplitpairingwindowsctrls1063Click(wxCommandEvent& event);
	void updateGUI();
		void RoundsSelected(wxCommandEvent& event);
		void PauseClick(wxCommandEvent& event);
		void KillPauseClick(wxCommandEvent& event);
		void AbortClick(wxCommandEvent& event);
		void PERClick(wxCommandEvent& event);
	void updateInfo(wxCommandEvent& event);
		void EngineUpdatesSelected(wxCommandEvent& event);
		void UpdateClick(wxCommandEvent& event);
		void ResetClick(wxCommandEvent& event);
};

#endif
