#ifndef __Pairing
#define __Pairing

#include "Engine.h"
#include <wx/string.h>

class Pairing
{
	public:
		Engine fcp;
		Engine scp;
		
		Pairing(const Engine& firstChessProgram, const Engine& secondChessProgram);
		Pairing(const Pairing& p);
		Pairing& operator=(const Pairing& p);
		
		wxString getWBparameters(int gameToPlay);
		Engine White(int gameToPlay);
		Engine Black(int gameToPlay);
};

#endif
