//---------------------------------------------------------------------------
//
// Name:        NewTournament.h
// Author:      Pradu Kannan
// Created:     6/23/2006 2:33:25 PM
// Description: 
//
//---------------------------------------------------------------------------


#ifndef __NEWTOURNAMENT_h__
#define __NEWTOURNAMENT_h__

#include "EngineList.h"
#define LAST_SETTINGS_FILE "ntls.pswbtm"
#define INPUT_PAIRINGS_PGN_FILE 0

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include <wx/listbox.h>
#include <wx/spinctrl.h>
#include <wx/choice.h>
#include <wx/radiobut.h>
#include <wx/checkbox.h>
#include <wx/button.h>
#include <wx/textctrl.h>
#include <wx/stattext.h>
#include <wx/sizer.h>
////Header Include End

//Compatibility for 2.4 code
#ifndef wxCLOSE_BOX
	#define wxCLOSE_BOX 0x1000
#endif
#ifndef wxFIXED_MINSIZE
	#define wxFIXED_MINSIZE 0
#endif

////Dialog Style Start
#undef NewTournament_STYLE
#define NewTournament_STYLE wxCAPTION | wxRESIZE_BORDER | wxSYSTEM_MENU | wxTHICK_FRAME | wxDIALOG_NO_PARENT | wxMAXIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class NewTournament : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		NewTournament(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("New Tournament"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = NewTournament_STYLE);
		virtual ~NewTournament();
	
	public:
		//Do not add custom control declarations
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxSpinCtrl *SPRewindNum;
		wxCheckBox *SPRewind;
		wxCheckBox *SPTwoGames;
		wxBoxSizer *WxBoxSizer20;
		wxButton *Cancel;
		wxButton *Ok;
		wxBoxSizer *WxBoxSizer17;
		wxListBox *Available;
		wxButton *Remove;
		wxButton *Add;
		wxBoxSizer *WxBoxSizer16;
		wxListBox *Participants;
		wxBoxSizer *WxBoxSizer15;
		wxStaticText *WxStaticText10;
		wxStaticText *WxStaticText11;
		wxStaticText *WxStaticText9;
		wxBoxSizer *WxBoxSizer14;
		wxBoxSizer *WxBoxSizer13;
		wxButton *IPB;
		wxButton *IPBrowse;
		wxTextCtrl *IP;
		wxChoice *IPType;
		wxStaticBoxSizer *WxStaticBoxSizer5;
		wxButton *SPBrowse;
		wxTextCtrl *SP;
		wxChoice *SPType;
		wxBoxSizer *WxBoxSizer19;
		wxStaticBoxSizer *WxStaticBoxSizer4;
		wxSpinCtrl *FixedDepthNum;
		wxCheckBox *FixedDepth;
		wxCheckBox *Pondering;
		wxBoxSizer *WxBoxSizer12;
		wxStaticText *WxStaticText8;
		wxSpinCtrl *XYminutes;
		wxStaticText *WxStaticText7;
		wxSpinCtrl *XYmoves;
		wxRadioButton *XY;
		wxBoxSizer *WxBoxSizer10;
		wxStaticText *WxStaticText5;
		wxSpinCtrl *IncrementIncrement;
		wxStaticText *WxStaticText4;
		wxSpinCtrl *IncrementMinutes;
		wxRadioButton *Increment;
		wxBoxSizer *WxBoxSizer9;
		wxStaticText *WxStaticText2;
		wxSpinCtrl *FixedSeconds;
		wxRadioButton *Fixed;
		wxBoxSizer *WxBoxSizer8;
		wxStaticBoxSizer *WxStaticBoxSizer3;
		wxSpinCtrl *GPP;
		wxStaticText *WxStaticText6;
		wxBoxSizer *WxBoxSizer11;
		wxStaticText *WxStaticText3;
		wxSpinCtrl *SwissRounds;
		wxRadioButton *Swiss;
		wxBoxSizer *WxBoxSizer7;
		wxRadioButton *RoundRobin;
		wxBoxSizer *WxBoxSizer6;
		wxChoice *GauntletEngine;
		wxRadioButton *Gauntlet;
		wxBoxSizer *WxBoxSizer5;
		wxStaticBoxSizer *WxStaticBoxSizer2;
		wxButton *DEBUGBrowse;
		wxTextCtrl *DebugFolder;
		wxCheckBox *DEBUGBOOL;
		wxBoxSizer *WxBoxSizer4;
		wxButton *RTPGNBrowse;
		wxTextCtrl *RTPGN;
		wxCheckBox *RTPGNBOOL;
		wxBoxSizer *WxBoxSizer3;
		wxButton *PGNBrowse;
		wxTextCtrl *PGN;
		wxStaticText *WxStaticText1;
		wxBoxSizer *WxBoxSizer2;
		wxStaticBoxSizer *WxStaticBoxSizer1;
		wxTextCtrl *EN;
		wxStaticText *WxStaticText12;
		wxBoxSizer *WxBoxSizer18;
		wxBoxSizer *WxBoxSizer1;
		////GUI Control Declaration End
		EngineList el_gauntlet, el_participants, el_available;
	public:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_SPREWINDNUM = 1114,
			ID_SPREWIND = 1113,
			ID_SPTWOGAMES = 1112,
			ID_CANCEL = 1078,
			ID_OK2 = 1077,
			ID_AVAILABLE = 1073,
			ID_REMOVE = 1075,
			ID_ADD = 1074,
			ID_PARTICIPANTS = 1071,
			ID_WXSTATICTEXT10 = 1070,
			ID_WXSTATICTEXT11 = 1079,
			ID_WXSTATICTEXT9 = 1069,
			ID_IPB = 1106,
			ID_IPBROWSE = 1104,
			ID_IP = 1103,
			ID_IPTYPE = 1097,
			ID_SPBROWSE = 1110,
			ID_SP = 1109,
			ID_SPTYPE = 1108,
			ID_FIXEDDEPTHNUM = 1062,
			ID_FIXEDDEPTH = 1061,
			ID_PONDERING = 1086,
			ID_WXSTATICTEXT8 = 1059,
			ID_XYMINUTES = 1058,
			ID_WXSTATICTEXT7 = 1057,
			ID_XYMOVES = 1052,
			ID_XY = 1051,
			ID_WXSTATICTEXT5 = 1049,
			ID_INCREMENTINCREMENT = 1048,
			ID_WXSTATICTEXT4 = 1047,
			ID_INCREMENTMINUTES = 1046,
			ID_INCREMENT = 1045,
			ID_WXSTATICTEXT2 = 1042,
			ID_FIXEDSECONDS = 1041,
			ID_FIXED = 1040,
			ID_GPP = 1056,
			ID_WXSTATICTEXT6 = 1055,
			ID_WXSTATICTEXT3 = 1044,
			ID_SWISSROUNDS = 1037,
			ID_SWISS = 1036,
			ID_ROUNDROBIN = 1034,
			ID_GAUNTLETENGINE = 1031,
			ID_GAUNTLET = 1029,
			ID_DEBUGBROWSE = 1025,
			ID_DEBUGFOLDER = 1024,
			ID_DEBUGBOOL = 1023,
			ID_RTPGNBROWSE = 1019,
			ID_RTPGN = 1018,
			ID_RTPGNBOOL = 1016,
			ID_PGNBROWSE = 1010,
			ID_PGN = 1008,
			ID_WXSTATICTEXT1 = 1007,
			ID_EN = 1085,
			ID_WXSTATICTEXT12 = 1084,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		}; //End of Enum
	
	public:
		void NewTournamentClose(wxCloseEvent& event);
		void CreateGUIControls(void);
		void CancelClick(wxCommandEvent& event);
		void PGNBrowseClick(wxCommandEvent& event);
		void RTPGNBrowseClick(wxCommandEvent& event);
		void DEBUGBrowseClick(wxCommandEvent& event);
		void AddClick(wxCommandEvent& event);
		void RemoveClick(wxCommandEvent& event);
		void AvailableDoubleClicked(wxCommandEvent& event);
		void ParticipantsDoubleClicked(wxCommandEvent& event);
		void OkClick(wxCommandEvent& event);
		void PonderingClick(wxCommandEvent& event);
		void SPBrowseClick(wxCommandEvent& event);
		void WxEdit1Updated(wxCommandEvent& event);
		void IPBrowseClick(wxCommandEvent& event);
		void IPBClick(wxCommandEvent& event);
};

#endif
